Package org.apache.ignite.development.utils

## Class IgniteWalConverterArguments

- java.lang.Object
- - org.apache.ignite.development.utils.IgniteWalConverterArguments

-     public class IgniteWalConverterArguments
      extends Object

  Parameters for IgniteWalConverter with parsed and validated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgniteWalConverterArguments​(org.apache.ignite.internal.processors.cache.persistence.filename.NodeFileTree ft, int pageSize, boolean keepBinary, Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType> recordTypes, Long fromTime, Long toTime, String recordContainsText, org.apache.ignite.development.utils.ProcessSensitiveData processSensitiveData, boolean printStat, boolean skipCrc, Collection<org.apache.ignite.internal.util.typedef.T2<Integer,​Long>> pages)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.ignite.internal.processors.cache.persistence.filename.NodeFileTree` | `getFileTree()` | Node file tree.
    `Long` | `getFromTime()` | The start time interval for the record time in milliseconds.
    `Collection<org.apache.ignite.internal.util.typedef.T2<Integer,​Long>>` | `getPages()` | Return pages for searching in format grpId:pageId.
    `int` | `getPageSize()` | Size of pages, which was selected for file store (1024, 2048, 4096, etc).
    `org.apache.ignite.development.utils.ProcessSensitiveData` | `getProcessSensitiveData()` | Strategy for the processing of sensitive data (SHOW, HIDE, HASH, MD5).
    `String` | `getRecordContainsText()` | Filter by substring in the WAL record.
    `Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType>` | `getRecordTypes()` | WAL record types (TX_RECORD, DATA_RECORD, etc).
    `Long` | `getToTime()` | The end time interval for the record time in milliseconds.
    `boolean` | `isKeepBinary()` | Keep binary flag.
    `boolean` | `isPrintStat()` | Write summary statistics for WAL.
    `boolean` | `isSkipCrc()` | Skip CRC calculation/check flag.
    `static IgniteWalConverterArguments` | `parse​(PrintStream out, String... args)` | Parse command line arguments and return filled IgniteWalConverterArguments

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteWalConverterArguments

          public IgniteWalConverterArguments​(org.apache.ignite.internal.processors.cache.persistence.filename.NodeFileTree ft,
                                             int pageSize,
                                             boolean keepBinary,
                                             Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType> recordTypes,
                                             Long fromTime,
                                             Long toTime,
                                             String recordContainsText,
                                             org.apache.ignite.development.utils.ProcessSensitiveData processSensitiveData,
                                             boolean printStat,
                                             boolean skipCrc,
                                             Collection<org.apache.ignite.internal.util.typedef.T2<Integer,​Long>> pages)

      Constructor.
      Parameters:
        `ft` - Node file tree.
        `pageSize` - Size of pages, which was selected for file store (1024, 2048, 4096, etc).
        `keepBinary` - Keep binary flag.
        `recordTypes` - WAL record types (TX_RECORD, DATA_RECORD, etc).
        `fromTime` - The start time interval for the record time in milliseconds.
        `toTime` - The end time interval for the record time in milliseconds.
        `recordContainsText` - Filter by substring in the WAL record.
        `processSensitiveData` - Strategy for the processing of sensitive data (SHOW, HIDE, HASH, MD5).
        `printStat` - Write summary statistics for WAL.
        `skipCrc` - Skip CRC calculation/check flag.
        `pages` - Pages for searching in format grpId:pageId.

  - ### Method Detail

    - #### getFileTree

          public org.apache.ignite.internal.processors.cache.persistence.filename.NodeFileTree getFileTree()

      Node file tree.
      Returns:
        Node file tree.

    - #### getPageSize

          public int getPageSize()

      Size of pages, which was selected for file store (1024, 2048, 4096, etc).
      Returns:
        pageSize

    - #### isKeepBinary

          public boolean isKeepBinary()

      Keep binary flag.
      Returns:
        keepBina

    - #### getRecordTypes

          public Set<org.apache.ignite.internal.pagemem.wal.record.WALRecord.RecordType> getRecordTypes()

      WAL record types (TX_RECORD, DATA_RECORD, etc).
      Returns:
        recordTypes

    - #### getFromTime

          public Long getFromTime()

      The start time interval for the record time in milliseconds.
      Returns:
        fromTime

    - #### getToTime

          public Long getToTime()

      The end time interval for the record time in milliseconds.
      Returns:
        toTime

    - #### getRecordContainsText

          public String getRecordContainsText()

      Filter by substring in the WAL record.
      Returns:
        recordContainsText

    - #### getProcessSensitiveData

          public org.apache.ignite.development.utils.ProcessSensitiveData getProcessSensitiveData()

      Strategy for the processing of sensitive data (SHOW, HIDE, HASH, MD5).
      Returns:
        processSensitiveData

    - #### isPrintStat

          public boolean isPrintStat()

      Write summary statistics for WAL.
      Returns:
        printStat

    - #### isSkipCrc

          public boolean isSkipCrc()

      Skip CRC calculation/check flag.
      Returns:
        skipCrc

    - #### getPages

          public Collection<org.apache.ignite.internal.util.typedef.T2<Integer,​Long>> getPages()

      Return pages for searching in format grpId:pageId.
      Returns:
        Pages.

    - #### parse

          public static IgniteWalConverterArguments parse​(PrintStream out,
                                                          String... args)

      Parse command line arguments and return filled IgniteWalConverterArguments
      Parameters:
        `args` - Command line arguments.
        `out` - Out print stream.
      Returns:
        IgniteWalConverterArguments.